export const DEFAULT_DURATION = 1000;
/**
 *
 * @returns a NormalizedAnimation from the given AnimationInput
 */
export const normalizedAnimation = (animationInput) => {
    if (Array.isArray(animationInput)) {
        return { keyframes: animationInput, options: { duration: DEFAULT_DURATION } };
    }
    const { keyframes, options } = animationInput;
    const normalizedOptions = typeof options === 'number' ? { duration: options } : options;
    return { keyframes, options: normalizedOptions };
};
